# Generated by Django 2.0 on 2020-04-25 09:22

import django.utils.timezone
from django.db import migrations, models

import wei.models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ('api', '0022_auto_20200421_1347'),
    ]

    operations = [
        migrations.CreateModel(
            name='Bizuth',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('regime_particulier', models.TextField(blank=True, null=True, verbose_name='Régime particulier')),
                ('informations_speciales',
                 models.TextField(blank=True, null=True, verbose_name='Informations particulières')),
                ('decharge_parentale', models.FileField(upload_to=wei.models.decharge_parentale_storagename,
                                                        verbose_name='Décharge parentale signée (si mineur)')),
                ('cancelled', models.BooleanField(default=False, verbose_name='Inscription annulée')),
                ('caution_valide', models.BooleanField(default=False, verbose_name='Chèque de caution reçue au BdE')),
                ('refunded', models.BooleanField(default=False, verbose_name='Inscription remboursée (si annulation)')),
                ('date_inscription', models.DateTimeField(blank=True, default=django.utils.timezone.now,
                                                          verbose_name="Date d'inscription")),
                ('member', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='bizuth',
                                                to='api.Member', verbose_name='Membre adhérent')),
            ],
        ),
    ]
